Skip to main content
GET
/
esa
/
{esaId}
/
gam
/
advertisers
List cached GAM advertisers
curl --request GET \
  --url https://api.interchange.io/api/v2/storefront/esa/{esaId}/gam/advertisers \
  --header 'Authorization: Bearer <token>'
{
  "advertisers": [
    {
      "id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "currencyCode": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "syncedAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

esaId
integer
required

Embedded sales agent connection id.

Required range: x <= 9007199254740991
Example:

123

Query Parameters

q
string

Advertiser name substring or exact numeric advertiser id.

query
string

Alias for q.

limit
integer
Required range: x <= 500
cursor
string

Response

List cached GAM advertisers

advertisers
object[]
required
nextCursor
string | null
syncedAt
string | null